{
  "psdataentityname" : "ENTITLEMENT",
  "decat" : "DEFAULT",
  "validflag" : 1,
  "logicvalid" : 0,
  "detype" : 1,
  "codename" : "Entitlement",
  "noviewmode" : 1,
  "createdate" : "2020-08-07 09:43:50",
  "memo" : "Defines the amount and type of support a customer should receive.",
  "useraction" : 0,
  "logicname" : "权利",
  "existingmodel" : 0,
  "systemflag" : 0,
  "tablename" : "ENTITLEMENT",
  "psdedbcfgs" : [ {
    "validflag" : 1,
    "createdate" : "2020-08-07 09:43:50",
    "psdedbcfgname" : "MYSQL5"
  } ],
  "psdedrgroups" : [ {
    "codename" : "Auto24",
    "createdate" : "2020-08-07 09:43:50",
    "psdedrgroupname" : "详细信息",
    "ordervalue" : 10000
  } ],
  "psdefields" : [ {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "ACCOUNTNAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/ACCOUNTNAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "AccountName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 450,
    "logicname" : "客户",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto4005",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[ACCOUNTIDYOMINAME][AccountIdYomiName]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ]
  }, {
    "usertag" : "Picklist",
    "enableuserinput" : 3,
    "psdefieldname" : "ALLOCATIONTYPECODE",
    "psdatatypename" : "单项选择(文本值)",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/ALLOCATIONTYPECODE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "AllocationTypeCode",
    "psdatatypeid" : "SSCODELIST",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "pscodelistname" : "AllocationTypeCode",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 30,
    "logicname" : "分配类型",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "pscodelistid" : "CodeList/entitlement__AllocationTypeCode",
    "psdefformitems" : [ {
      "codename" : "Auto2936",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[ALLOCATIONTYPECODE][AllocationTypeCode]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_ALLOCATIONTYPECODE_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "ALLOCATIONTYPECODE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "CONTACTNAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/CONTACTNAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ContactName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "联系人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1395",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CONTACTIDYOMINAME][ContactIdYomiName]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 0,
    "psdefieldname" : "CREATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/CREATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "建立时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2765",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CREATEDATE][CreateDate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 0,
    "psdefieldname" : "CREATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/CREATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "建立人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1479",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CREATEMAN][CreateMan]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Customer",
    "enableuserinput" : 3,
    "psdefieldname" : "CUSTOMERID",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/CUSTOMERID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CustomerId",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "客户",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "usertag2" : "account,contact",
    "psdefformitems" : [ {
      "codename" : "Auto3093",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CUSTOMERID][CustomerId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CUSTOMERID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "CUSTOMERNAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/CUSTOMERNAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CustomerName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 450,
    "logicname" : "客户",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1085",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CUSTOMERIDYOMINAME][CustomerIdYomiName]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ]
  }, {
    "usertag" : "EntityName",
    "enableuserinput" : 3,
    "psdefieldname" : "CUSTOMERTYPE",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/CUSTOMERTYPE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CustomerType",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "客户类型",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto4011",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[CUSTOMERIDTYPE][CustomerIdType]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CUSTOMERTYPE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Picklist",
    "enableuserinput" : 3,
    "psdefieldname" : "DECREASEREMAININGON",
    "psdatatypename" : "单项选择(文本值)",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/DECREASEREMAININGON",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "DecreaseRemainingOn",
    "psdatatypeid" : "SSCODELIST",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "pscodelistname" : "DecreaseRemainingOn",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 30,
    "logicname" : "缩短剩余期限",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "pscodelistid" : "CodeList/entitlement__DecreaseRemainingOn",
    "psdefformitems" : [ {
      "codename" : "Auto469",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[DECREASEREMAININGON][DecreaseRemainingOn]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_DECREASEREMAININGON_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "DECREASEREMAININGON",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Boolean",
    "enableuserinput" : 3,
    "psdefieldname" : "DEFAULT",
    "psdatatypename" : "是否逻辑",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/DEFAULT",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "IBizDefault",
    "psdatatypeid" : "YESNO",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "pscodelistname" : "是否",
    "defaultvalue" : "0",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "是否默认",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "pscodelistid" : "YesNo",
    "psdefformitems" : [ {
      "codename" : "Auto4585",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[DEFAULT][Default]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "DEFAULT",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Memo",
    "enableuserinput" : 3,
    "psdefieldname" : "DESCRIPTION",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/DESCRIPTION",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "Description",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 2000,
    "logicname" : "说明",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1736",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[DESCRIPTION][Description]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "DESCRIPTION",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "EMAILADDRESS",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/EMAILADDRESS",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "EmailAddress",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "Email Address",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1880",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[EMAILADDRESS][EmailAddress]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "EMAILADDRESS",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 3,
    "psdefieldname" : "ENDDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/ENDDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "EndDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "结束日期",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto1154",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[ENDDATE][EndDate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "ENDDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Uniqueidentifier",
    "enableuserinput" : 3,
    "psdefieldname" : "ENTITLEMENTID",
    "psdatatypename" : "全局唯一标识，文本类型，用户不可见",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/ENTITLEMENTID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "EntitlementId",
    "psdatatypeid" : "GUID",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 1,
    "length" : 60,
    "logicname" : "权利",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto3350",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[ENTITLEMENTID][EntitlementId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "ENTITLEMENTID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "ENTITLEMENTNAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/ENTITLEMENTNAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "entitlementName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "授权名称",
    "majorfield" : 1,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto4358",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[ENTITLEMENTNAME][entitlementName]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "LIKE",
      "psdbvalueopname" : "文本包含(%)",
      "psdefsfitemname" : "N_ENTITLEMENTNAME_LIKE",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "ENTITLEMENTNAME",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Lookup",
    "enableuserinput" : 3,
    "psdefieldname" : "ENTITLEMENTTEMPLATEID",
    "psdatatypename" : "外键值",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/ENTITLEMENTTEMPLATEID",
    "validflag" : 1,
    "derpsdefid" : "<PSMODULE>/ENTITLEMENTTEMPLATE/ENTITLEMENTTEMPLATEID",
    "physicalfield" : 1,
    "codename" : "EntitlementTemplateId",
    "psdatatypeid" : "PICKUP",
    "derpsdefname" : "ENTITLEMENTTEMPLATEID",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "权利模板",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "usertag2" : "entitlementtemplate",
    "psdername" : "DER1N_ENTITLEMENT__ENTITLEMENTTEMPLATE__ENTITLEMENTTEMPLATEID",
    "psderid" : "<PSDATAENTITY>/DER1N_ENTITLEMENT__ENTITLEMENTTEMPLATE__ENTITLEMENTTEMPLATEID",
    "psdefformitems" : [ {
      "codename" : "Auto4163",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[ENTITLEMENTTEMPLATEID][EntitlementTemplateId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_ENTITLEMENTTEMPLATEID_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "ENTITLEMENTTEMPLATEID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Picklist",
    "enableuserinput" : 3,
    "psdefieldname" : "ENTITYTYPE",
    "psdatatypename" : "单项选择(文本值)",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/ENTITYTYPE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "entitytype",
    "psdatatypeid" : "SSCODELIST",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "pscodelistname" : "entitytype",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 30,
    "logicname" : "entitytype",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "pscodelistid" : "CodeList/entitlement__entitytype",
    "psdefformitems" : [ {
      "codename" : "Auto801",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[ENTITYTYPE][entitytype]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_ENTITYTYPE_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "ENTITYTYPE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Decimal",
    "enableuserinput" : 3,
    "psdefieldname" : "EXCHANGERATE",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/EXCHANGERATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ExchangeRate",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "汇率",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2008",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[EXCHANGERATE][ExchangeRate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "EXCHANGERATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Integer",
    "enableuserinput" : 3,
    "psdefieldname" : "IMPORTSEQUENCENUMBER",
    "psdatatypename" : "整型",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/IMPORTSEQUENCENUMBER",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ImportSequenceNumber",
    "psdatatypeid" : "INT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Import Sequence Number",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1065",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[IMPORTSEQUENCENUMBER][ImportSequenceNumber]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "IMPORTSEQUENCENUMBER",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Picklist",
    "enableuserinput" : 3,
    "psdefieldname" : "KBACCESSLEVEL",
    "psdatatypename" : "单项选择(文本值)",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/KBACCESSLEVEL",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "KbAccessLevel",
    "psdatatypeid" : "SSCODELIST",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "pscodelistname" : "KbAccessLevel",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 30,
    "logicname" : "KB 访问级别",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "pscodelistid" : "CodeList/entitlement__KbAccessLevel",
    "psdefformitems" : [ {
      "codename" : "Auto1624",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[KBACCESSLEVEL][KbAccessLevel]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_KBACCESSLEVEL_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "KBACCESSLEVEL",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 3,
    "psdefieldname" : "OVERRIDDENCREATEDON",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/OVERRIDDENCREATEDON",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "OverriddenCreatedOn",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Record Created On",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto4026",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[OVERRIDDENCREATEDON][OverriddenCreatedOn]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "OVERRIDDENCREATEDON",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Owner",
    "enableuserinput" : 3,
    "psdefieldname" : "OWNERID",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/OWNERID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "OwnerId",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "负责人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "usertag2" : "systemuser,team",
    "psdefformitems" : [ {
      "codename" : "Auto2412",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[OWNERID][OwnerId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "OWNERID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "OWNERNAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/OWNERNAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "OwnerName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "负责人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3270",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[OWNERIDYOMINAME][OwnerIdYomiName]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ]
  }, {
    "usertag" : "EntityName",
    "enableuserinput" : 3,
    "psdefieldname" : "OWNERTYPE",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/OWNERTYPE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "OwnerType",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 100,
    "logicname" : "负责人类型",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3017",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[OWNERIDTYPE][OwnerIdType]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "OWNERTYPE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Uniqueidentifier",
    "enableuserinput" : 3,
    "psdefieldname" : "PROCESSID",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/PROCESSID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ProcessId",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "Process Id",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto201",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[PROCESSID][ProcessId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "PROCESSID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Decimal",
    "enableuserinput" : 3,
    "psdefieldname" : "REMAININGTERMS",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/REMAININGTERMS",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "RemainingTerms",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "剩余期数",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3686",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[REMAININGTERMS][RemainingTerms]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "REMAININGTERMS",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Boolean",
    "enableuserinput" : 3,
    "psdefieldname" : "RESTRICTCASECREATION",
    "psdatatypename" : "是否逻辑",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/RESTRICTCASECREATION",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "RestrictCaseCreation",
    "psdatatypeid" : "YESNO",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "pscodelistname" : "是否",
    "defaultvalue" : "0",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "根据权利期限进行限制",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "pscodelistid" : "YesNo",
    "psdefformitems" : [ {
      "codename" : "Auto3261",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[RESTRICTCASECREATION][RestrictCaseCreation]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "RESTRICTCASECREATION",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Lookup",
    "enableuserinput" : 3,
    "psdefieldname" : "SLAID",
    "psdatatypename" : "外键值",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/SLAID",
    "validflag" : 1,
    "derpsdefid" : "Base/SLA/SLAID",
    "physicalfield" : 1,
    "codename" : "SLAId",
    "psdatatypeid" : "PICKUP",
    "derpsdefname" : "SLAID",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "SLA",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "usertag2" : "sla",
    "psdername" : "DER1N_ENTITLEMENT__SLA__SLAID",
    "psderid" : "<PSDATAENTITY>/DER1N_ENTITLEMENT__SLA__SLAID",
    "psdefformitems" : [ {
      "codename" : "Auto2466",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[SLAID][SLAId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_SLAID_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "SLAID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Uniqueidentifier",
    "enableuserinput" : 3,
    "psdefieldname" : "STAGEID",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/STAGEID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "StageId",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "Stage Id",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto4150",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[STAGEID][StageId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "STAGEID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 3,
    "psdefieldname" : "STARTDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/STARTDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "StartDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "开始日期",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "psdefformitems" : [ {
      "codename" : "Auto142",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[STARTDATE][StartDate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "STARTDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "State",
    "enableuserinput" : 3,
    "psdefieldname" : "STATECODE",
    "psdatatypename" : "单项选择(数值)",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/STATECODE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "StateCode",
    "psdatatypeid" : "NSCODELIST",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "pscodelistname" : "entitlement__StateCode",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "状态",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "pscodelistid" : "entitlement__StateCode",
    "psdefformitems" : [ {
      "codename" : "Auto1420",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[STATECODE][StateCode]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_STATECODE_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "STATECODE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Status",
    "enableuserinput" : 3,
    "psdefieldname" : "STATUSCODE",
    "psdatatypename" : "单项选择(数值)",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/STATUSCODE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "StatusCode",
    "psdatatypeid" : "NSCODELIST",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "pscodelistname" : "entitlement__StatusCode",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "状态代码",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "pscodelistid" : "entitlement__StatusCode",
    "psdefformitems" : [ {
      "codename" : "Auto2949",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[STATUSCODE][StatusCode]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_STATUSCODE_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "STATUSCODE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Integer",
    "enableuserinput" : 3,
    "psdefieldname" : "TIMEZONERULEVERSIONNUMBER",
    "psdatatypename" : "整型",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/TIMEZONERULEVERSIONNUMBER",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "TimeZoneRuleVersionNumber",
    "psdatatypeid" : "INT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Time Zone Rule Version Number",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto1890",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[TIMEZONERULEVERSIONNUMBER][TimeZoneRuleVersionNumber]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "TIMEZONERULEVERSIONNUMBER",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Decimal",
    "enableuserinput" : 3,
    "psdefieldname" : "TOTALTERMS",
    "psdatatypename" : "大数值",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/TOTALTERMS",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "TotalTerms",
    "psdatatypeid" : "BIGDECIMAL",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "总期数",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3078",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[TOTALTERMS][TotalTerms]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "TOTALTERMS",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Lookup",
    "enableuserinput" : 3,
    "psdefieldname" : "TRANSACTIONCURRENCYID",
    "psdatatypename" : "外键值",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/TRANSACTIONCURRENCYID",
    "validflag" : 1,
    "derpsdefid" : "Base/TRANSACTIONCURRENCY/TRANSACTIONCURRENCYID",
    "physicalfield" : 1,
    "codename" : "TransactionCurrencyId",
    "psdatatypeid" : "PICKUP",
    "derpsdefname" : "TRANSACTIONCURRENCYID",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "货币",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "usertag2" : "transactioncurrency",
    "psdername" : "DER1N_ENTITLEMENT__TRANSACTIONCURRENCY__TRANSACTIONCURRENCYID",
    "psderid" : "<PSDATAENTITY>/DER1N_ENTITLEMENT__TRANSACTIONCURRENCY__TRANSACTIONCURRENCYID",
    "psdefformitems" : [ {
      "codename" : "Auto2253",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[TRANSACTIONCURRENCYID][TransactionCurrencyId]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "EQ",
      "psdbvalueopname" : "等于(=)",
      "psdefsfitemname" : "N_TRANSACTIONCURRENCYID_EQ",
      "createdate" : "2020-08-07 09:43:50"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "TRANSACTIONCURRENCYID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 3,
    "psdefieldname" : "TRAVERSEDPATH",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/TRAVERSEDPATH",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "TraversedPath",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 1250,
    "logicname" : "Traversed Path",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto447",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[TRAVERSEDPATH][TraversedPath]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "TRAVERSEDPATH",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "DateTime",
    "enableuserinput" : 0,
    "psdefieldname" : "UPDATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/UPDATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "更新时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto4608",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[UPDATEDATE][UpdateDate]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "String",
    "enableuserinput" : 0,
    "psdefieldname" : "UPDATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/UPDATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "length" : 60,
    "logicname" : "更新人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto3583",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[UPDATEMAN][UpdateMan]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "Integer",
    "enableuserinput" : 3,
    "psdefieldname" : "UTCCONVERSIONTIMEZONECODE",
    "psdatatypename" : "整型",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/UTCCONVERSIONTIMEZONECODE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UTCConversionTimeZoneCode",
    "psdatatypeid" : "INT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "UTC Conversion Time Zone Code",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2607",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[UTCCONVERSIONTIMEZONECODE][UTCConversionTimeZoneCode]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UTCCONVERSIONTIMEZONECODE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  }, {
    "usertag" : "BigInt",
    "enableuserinput" : 3,
    "psdefieldname" : "VERSIONNUMBER",
    "psdatatypename" : "大整型",
    "pssysdbcolumnid" : "DEFAULT/ENTITLEMENT/VERSIONNUMBER",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "VersionNumber",
    "psdatatypeid" : "BIGINT",
    "createdate" : "2020-08-07 09:43:50",
    "psdetableid" : "<PSDATAENTITY>/ENTITLEMENT",
    "indextype" : 0,
    "pkey" : 0,
    "logicname" : "Version Number",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 1,
    "psdefformitems" : [ {
      "codename" : "Auto2359",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "CUSTOM",
      "psdefformitemname" : "[VERSIONNUMBER][VersionNumber]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "移动端默认"
    }, {
      "codename" : "Default",
      "createdate" : "2020-08-07 09:43:50",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "VERSIONNUMBER",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-07 09:43:50"
    } ]
  } ],
  "psdeopprivs" : [ {
    "logicname" : "建立",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "CREATE"
  }, {
    "logicname" : "删除",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "DELETE"
  }, {
    "logicname" : "读取",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "READ"
  }, {
    "logicname" : "更新",
    "createdate" : "2020-08-07 09:43:50",
    "psdeopprivname" : "UPDATE"
  } ],
  "psdetables" : [ {
    "pssysdbtableid" : "DEFAULT/ENTITLEMENT",
    "psdetablename" : "ENTITLEMENT",
    "tabletype" : "MAIN",
    "createdate" : "2020-09-02 15:12:09"
  } ],
  "pssysdmitems" : [ {
    "dbobjtype" : "TABLE",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT",
    "userflag" : 0,
    "createsql4" : "CREATE TABLE `ENTITLEMENT`(\n`STARTDATE`  DATETIME COMMENT '开始日期' \n,`PROCESSID`  VARCHAR(60) COMMENT 'Process Id' \n,`TRAVERSEDPATH`  VARCHAR(1250) COMMENT 'Traversed Path' \n,`DECREASEREMAININGON`  VARCHAR(30) COMMENT '缩短剩余期限' \n,`ENTITYTYPE`  VARCHAR(30) COMMENT 'entitytype' \n,`CONTACTNAME`  VARCHAR(100) COMMENT '联系人' \n,`IMPORTSEQUENCENUMBER`  INTEGER COMMENT 'Import Sequence Number' \n,`ENDDATE`  DATETIME COMMENT '结束日期' \n,`STATECODE`  INTEGER COMMENT '状态' \n,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' \n,`CUSTOMERNAME`  VARCHAR(450) COMMENT '客户' \n,`KBACCESSLEVEL`  VARCHAR(30) COMMENT 'KB 访问级别' \n,`DESCRIPTION`  VARCHAR(2000) COMMENT '说明' \n,`EMAILADDRESS`  VARCHAR(100) COMMENT 'Email Address' \n,`TIMEZONERULEVERSIONNUMBER`  INTEGER COMMENT 'Time Zone Rule Version Number' \n,`EXCHANGERATE`  DECIMAL(12,0) COMMENT '汇率' \n,`CUSTOMERTYPE`  VARCHAR(100) COMMENT '客户类型' \n,`VERSIONNUMBER`  BIGINT(20) COMMENT 'Version Number' \n,`OWNERID`  VARCHAR(60) COMMENT '负责人' \n,`UTCCONVERSIONTIMEZONECODE`  INTEGER COMMENT 'UTC Conversion Time Zone Code' \n,`CREATEDATE`  DATETIME COMMENT '建立时间' \n,`ALLOCATIONTYPECODE`  VARCHAR(30) COMMENT '分配类型' \n,`STATUSCODE`  INTEGER COMMENT '状态代码' \n,`TOTALTERMS`  DECIMAL(12,0) COMMENT '总期数' \n,`CUSTOMERID`  VARCHAR(60) COMMENT '客户' \n,`OWNERNAME`  VARCHAR(100) COMMENT '负责人' \n,`RESTRICTCASECREATION`  INTEGER COMMENT '根据权利期限进行限制' \n,`ENTITLEMENTID`  VARCHAR(60)  NOT NULL PRIMARY KEY COMMENT '权利' \n,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' \n,`REMAININGTERMS`  DECIMAL(12,0) COMMENT '剩余期数' \n,`ACCOUNTNAME`  VARCHAR(450) COMMENT '客户' \n,`OVERRIDDENCREATEDON`  DATETIME COMMENT 'Record Created On' \n,`OWNERTYPE`  VARCHAR(100) COMMENT '负责人类型' \n,`STAGEID`  VARCHAR(60) COMMENT 'Stage Id' \n,`ENTITLEMENTNAME`  VARCHAR(100) COMMENT '授权名称' \n,`DEFAULT`  INTEGER COMMENT '是否默认' \n,`UPDATEDATE`  DATETIME COMMENT '更新时间' \n,`TRANSACTIONCURRENCYID`  VARCHAR(60) COMMENT '货币' \n,`SLAID`  VARCHAR(60) COMMENT 'SLA' \n,`ENTITLEMENTTEMPLATEID`  VARCHAR(60) COMMENT '权利模板' \n)COMMENT='权利';",
    "testsql" : "SELECT 1 FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "359c5a53f17c7ffa3fc8f5be4d1f1cbb",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "ENTITLEMENT",
    "createdate" : "2020-08-07 09:46:59"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.ACCOUNTNAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `ACCOUNTNAME`  VARCHAR(450)  COMMENT '客户' \n",
    "testsql" : "SELECT `ACCOUNTNAME` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "d5ef8c106fbe44772d02eea3193a366c",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "ACCOUNTNAME",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.ALLOCATIONTYPECODE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `ALLOCATIONTYPECODE`  VARCHAR(30)  COMMENT '分配类型' \n",
    "testsql" : "SELECT `ALLOCATIONTYPECODE` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "9f56cf89d2a88ad4a1968cd2fbd6b0a9",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "ALLOCATIONTYPECODE",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.CONTACTNAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `CONTACTNAME`  VARCHAR(100)  COMMENT '联系人' \n",
    "testsql" : "SELECT `CONTACTNAME` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "32dd65dfad4bf058c5eb1c83691c7f54",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CONTACTNAME",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.CREATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `CREATEDATE`  DATETIME  COMMENT '建立时间' \n",
    "testsql" : "SELECT `CREATEDATE` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "96f16dd9437298d250ed3ee4ce9edb3f",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEDATE",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.CREATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `CREATEMAN`  VARCHAR(60)  COMMENT '建立人' \n",
    "testsql" : "SELECT `CREATEMAN` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "515f640ae4da64072ed42e981806c98e",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEMAN",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.CUSTOMERID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `CUSTOMERID`  VARCHAR(60)  COMMENT '客户' \n",
    "testsql" : "SELECT `CUSTOMERID` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "a751bb3b4142b522d25a158c11b4873a",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CUSTOMERID",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.CUSTOMERNAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `CUSTOMERNAME`  VARCHAR(450)  COMMENT '客户' \n",
    "testsql" : "SELECT `CUSTOMERNAME` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "59585711a14028223bada281b4e36f58",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CUSTOMERNAME",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.CUSTOMERTYPE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `CUSTOMERTYPE`  VARCHAR(100)  COMMENT '客户类型' \n",
    "testsql" : "SELECT `CUSTOMERTYPE` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "7c9126015ac6ff25c47bb5af1bf35518",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CUSTOMERTYPE",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.DECREASEREMAININGON",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `DECREASEREMAININGON`  VARCHAR(30)  COMMENT '缩短剩余期限' \n",
    "testsql" : "SELECT `DECREASEREMAININGON` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "19ffb90b5a722079730cd12d7f241819",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "DECREASEREMAININGON",
    "createdate" : "2020-08-07 09:46:59"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.DEFAULT",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `DEFAULT`  INTEGER  COMMENT '是否默认' \n",
    "testsql" : "SELECT `DEFAULT` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "fbf4fc19c9ebd747b110760622e247c3",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "DEFAULT",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.DESCRIPTION",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `DESCRIPTION`  VARCHAR(2000)  COMMENT '说明' \n",
    "testsql" : "SELECT `DESCRIPTION` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "607f9a0afa2dc3d15bfa109a3129208d",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "DESCRIPTION",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.EMAILADDRESS",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `EMAILADDRESS`  VARCHAR(100)  COMMENT 'Email Address' \n",
    "testsql" : "SELECT `EMAILADDRESS` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "673f8b2eeaacd29a06f07723335df8aa",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "EMAILADDRESS",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.ENDDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `ENDDATE`  DATETIME  COMMENT '结束日期' \n",
    "testsql" : "SELECT `ENDDATE` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "4040c44a6115820e97607e97fa14b69d",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "ENDDATE",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.ENTITLEMENTID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `ENTITLEMENTID`  VARCHAR(60)  COMMENT '权利' \n",
    "testsql" : "SELECT `ENTITLEMENTID` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "b49d7da14c818d38e36cbce28fd61459",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "ENTITLEMENTID",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.ENTITLEMENTNAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `ENTITLEMENTNAME`  VARCHAR(100)  COMMENT '授权名称' \n",
    "testsql" : "SELECT `ENTITLEMENTNAME` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "ef781bd99321e1bce1f29bb89d2d258d",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "ENTITLEMENTNAME",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.ENTITLEMENTTEMPLATEID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `ENTITLEMENTTEMPLATEID`  VARCHAR(60)  COMMENT '权利模板' \n",
    "testsql" : "SELECT `ENTITLEMENTTEMPLATEID` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "e451a23065c1a623bf00b26312798790",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "ENTITLEMENTTEMPLATEID",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "FKEY",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.ENTITLEMENTTEMPLATEID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE ENTITLEMENT ADD CONSTRAINT F061557D161A329107 FOREIGN KEY(ENTITLEMENTTEMPLATEID) REFERENCES ENTITLEMENTTEMPLATE(ENTITLEMENTTEMPLATEID)",
    "psobjid" : "e451a23065c1a623bf00b26312798790",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "ENTITLEMENTTEMPLATEID",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.ENTITYTYPE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `ENTITYTYPE`  VARCHAR(30)  COMMENT 'entitytype' \n",
    "testsql" : "SELECT `ENTITYTYPE` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "2c8ccc9654a4fbecc072154014b14ab5",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "ENTITYTYPE",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.EXCHANGERATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `EXCHANGERATE`  DECIMAL(12,0)  COMMENT '汇率' \n",
    "testsql" : "SELECT `EXCHANGERATE` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "6eb0f267cfd4f33062126ebb84777732",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "EXCHANGERATE",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.IMPORTSEQUENCENUMBER",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `IMPORTSEQUENCENUMBER`  INTEGER  COMMENT 'Import Sequence Number' \n",
    "testsql" : "SELECT `IMPORTSEQUENCENUMBER` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "3ba98f954269ddf512570fe2c17ef4fc",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "IMPORTSEQUENCENUMBER",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.KBACCESSLEVEL",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `KBACCESSLEVEL`  VARCHAR(30)  COMMENT 'KB 访问级别' \n",
    "testsql" : "SELECT `KBACCESSLEVEL` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "5a1e985a87d11ccc322744b423482988",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "KBACCESSLEVEL",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.OVERRIDDENCREATEDON",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `OVERRIDDENCREATEDON`  DATETIME  COMMENT 'Record Created On' \n",
    "testsql" : "SELECT `OVERRIDDENCREATEDON` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "dcca2b9a49c25cc9bac4a66f2cda5fe0",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "OVERRIDDENCREATEDON",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.OWNERID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `OWNERID`  VARCHAR(60)  COMMENT '负责人' \n",
    "testsql" : "SELECT `OWNERID` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "8596ab569b7ed673c6d1f7a34fb718e8",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "OWNERID",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.OWNERNAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `OWNERNAME`  VARCHAR(100)  COMMENT '负责人' \n",
    "testsql" : "SELECT `OWNERNAME` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "acb0754c9c9f3b6a23118afdeb2a9e52",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "OWNERNAME",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.OWNERTYPE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `OWNERTYPE`  VARCHAR(100)  COMMENT '负责人类型' \n",
    "testsql" : "SELECT `OWNERTYPE` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "e01390f10bccd9acb1188bd7c65fac34",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "OWNERTYPE",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.PROCESSID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `PROCESSID`  VARCHAR(60)  COMMENT 'Process Id' \n",
    "testsql" : "SELECT `PROCESSID` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "0b033550958a8215b436dabef0ca7c41",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "PROCESSID",
    "createdate" : "2020-08-07 09:46:59"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.REMAININGTERMS",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `REMAININGTERMS`  DECIMAL(12,0)  COMMENT '剩余期数' \n",
    "testsql" : "SELECT `REMAININGTERMS` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "c8d0fec687389bc0c9cbab76595b7fdb",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "REMAININGTERMS",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.RESTRICTCASECREATION",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `RESTRICTCASECREATION`  INTEGER  COMMENT '根据权利期限进行限制' \n",
    "testsql" : "SELECT `RESTRICTCASECREATION` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "b0925b41e0375c4fbe1c3a80d2657aa4",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "RESTRICTCASECREATION",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.SLAID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `SLAID`  VARCHAR(60)  COMMENT 'SLA' \n",
    "testsql" : "SELECT `SLAID` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "88c88d48c25775bca0428839c8e207e9",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "SLAID",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "FKEY",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.SLAID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE ENTITLEMENT ADD CONSTRAINT F41BF4925C72891DA4 FOREIGN KEY(SLAID) REFERENCES SLA(SLAID)",
    "psobjid" : "88c88d48c25775bca0428839c8e207e9",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "SLAID",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.STAGEID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `STAGEID`  VARCHAR(60)  COMMENT 'Stage Id' \n",
    "testsql" : "SELECT `STAGEID` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "e3b41e59ec12fb876ff356b591d572d3",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "STAGEID",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.STARTDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `STARTDATE`  DATETIME  COMMENT '开始日期' \n",
    "testsql" : "SELECT `STARTDATE` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "07fbb973b393037276f0460e7f59a147",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "STARTDATE",
    "createdate" : "2020-08-07 09:46:59"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.STATECODE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `STATECODE`  INTEGER  COMMENT '状态' \n",
    "testsql" : "SELECT `STATECODE` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "4e724bb58f0e2fb6e84f551711a47e5c",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "STATECODE",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.STATUSCODE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `STATUSCODE`  INTEGER  COMMENT '状态代码' \n",
    "testsql" : "SELECT `STATUSCODE` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "a045bab89ee41351362ae42d29b13b80",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "STATUSCODE",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.TIMEZONERULEVERSIONNUMBER",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `TIMEZONERULEVERSIONNUMBER`  INTEGER  COMMENT 'Time Zone Rule Version Number' \n",
    "testsql" : "SELECT `TIMEZONERULEVERSIONNUMBER` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "67ffda657e75e4b2ff8529a61d74e938",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "TIMEZONERULEVERSIONNUMBER",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.TOTALTERMS",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `TOTALTERMS`  DECIMAL(12,0)  COMMENT '总期数' \n",
    "testsql" : "SELECT `TOTALTERMS` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "a694a99407aa109a0aaa37fc49861dae",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "TOTALTERMS",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "FKEY",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.TRANSACTIONCURRENCYID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE ENTITLEMENT ADD CONSTRAINT F8931AD663997D0684 FOREIGN KEY(TRANSACTIONCURRENCYID) REFERENCES TRANSACTIONCURRENCY(TRANSACTIONCURRENCYID)",
    "psobjid" : "7ced0f5dafc5b3ad52edcf747a50c8fd",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "TRANSACTIONCURRENCYID",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.TRANSACTIONCURRENCYID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `TRANSACTIONCURRENCYID`  VARCHAR(60)  COMMENT '货币' \n",
    "testsql" : "SELECT `TRANSACTIONCURRENCYID` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "7ced0f5dafc5b3ad52edcf747a50c8fd",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "TRANSACTIONCURRENCYID",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.TRAVERSEDPATH",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `TRAVERSEDPATH`  VARCHAR(1250)  COMMENT 'Traversed Path' \n",
    "testsql" : "SELECT `TRAVERSEDPATH` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "18eaf449222e88040da28200a608736c",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "TRAVERSEDPATH",
    "createdate" : "2020-08-07 09:46:59"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.UPDATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `UPDATEDATE`  DATETIME  COMMENT '更新时间' \n",
    "testsql" : "SELECT `UPDATEDATE` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "fd31658760702e58f88ca593a60368f2",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEDATE",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.UPDATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `UPDATEMAN`  VARCHAR(60)  COMMENT '更新人' \n",
    "testsql" : "SELECT `UPDATEMAN` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "c31a6c4635e1d345f60e98fe100665a8",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEMAN",
    "createdate" : "2020-08-07 09:47:01"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.UTCCONVERSIONTIMEZONECODE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `UTCCONVERSIONTIMEZONECODE`  INTEGER  COMMENT 'UTC Conversion Time Zone Code' \n",
    "testsql" : "SELECT `UTCCONVERSIONTIMEZONECODE` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "8f93067f32f3a3c6039f199b0c06b48c",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UTCCONVERSIONTIMEZONECODE",
    "createdate" : "2020-08-07 09:47:00"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "ENTITLEMENT.VERSIONNUMBER",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `ENTITLEMENT`\nADD COLUMN `VERSIONNUMBER`  BIGINT(20)  COMMENT 'Version Number' \n",
    "testsql" : "SELECT `VERSIONNUMBER` FROM `ENTITLEMENT` WHERE 1<>1",
    "psobjid" : "8265754fc445abb10153a5a1937ce964",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "VERSIONNUMBER",
    "createdate" : "2020-08-07 09:47:00"
  } ]
}